Bug 167 - Close>close window|close all windows and Window>New window/Message>Mew e-mail are confusing
: Close>close window|close all windows and Window>New window/Message>Mew e-mail...
Status: RESOLVED FIXED
Product: UI Specification
General
: 4.0
: All Maemo
: Low enhancement (vote)
: 5.0 (1.2009.41-10)
Assigned To: Mikko Nurmi
: ui-specification-bugs
:
: enhancement-it2005, ITOS2007HE-garage
:
:
  Show dependency tree
 
Reported: 2005-10-29 22:28 UTC by Simon Budig
Modified: 2008-09-16 13:44 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Simon Budig (reporter) 2005-10-29 22:28:20 UTC
The menu in the browser confuses me. To create a new window I select
Window->New
Window but to close the window there is no Window->Close window. I have to use
Close->Window instead. IMHO this item should be moved and Close->Close all
windows should become "Quit". It is weird to have these two window-related menu
items in two entirely different places.
Comment 1 Jorma Virkkunen nokia 2005-11-01 12:21:48 UTC
Reassigning.
Comment 2 Maemo QA (deprecated) 2006-04-25 12:37:21 UTC
Claiming ownership.
Comment 3 Maemo QA (deprecated) 2006-05-22 13:56:41 UTC
Feature request has been forwarded to upstream maintainer.
Comment 4 timeless 2007-08-30 07:54:39 UTC
This same quirky behavior appears in mail. This is a platform feature.

To people filing (or reading) bugs against browser (or any other part of the
maemo platform), please do everyone a favor and try to find a similar
application.

Here are some hints:
1. If you're doing something basic and the app you're playing with isn't Notes,
try Notes. This is a good way to test e.g. file open/save dialogs and the find
bar.
2. If you're dealing with windows, find another windowed application. Mail and
Browser are the easiest choices, but the Chat application also works in a
pinch.
3. If you're dealing with a web browser problem, try another web browser or the
same web browser on another platform. We've shipped:
 Opera 8 (IT OS 2005)
 Opera 8.5 (IT OS 2006)
 Gecko 1.9 alpha (MicroB releases)
Which means you can grab Opera 8 for your favorite desktop platform, or Opera
9, or Firefox 3 nightlies (they're called Minefield, which yes, means they
might blow up).
Comment 6 Andre Klapper maemo.org 2008-05-06 16:30:02 UTC
still valid on 1.2007.42-19, setting version to 4.0.
Comment 7 Andre Klapper maemo.org 2008-09-15 17:35:16 UTC
UI Specification issue -> reassigning
Comment 8 Roope Rainisto nokia 2008-09-16 13:44:15 UTC
This will be fixed in Fremantle, no more double commands.